Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2.parser
Class ASTFalseNode

    java.lang.Object
      org.apache.commons.jexl2.parser.SimpleNode
          org.apache.commons.jexl2.parser.JexlNode
              org.apache.commons.jexl2.parser.ASTFalseNode

All Implemented Interfaces:
  JexlInfo, Node

    public class ASTFalseNode

extends JexlNode

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.commons.jexl2.parser.JexlNode
`JexlNode.Literal<T>`

Field Summary

Fields inherited from class org.apache.commons.jexl2.parser.JexlNode
`image`

Fields inherited from class org.apache.commons.jexl2.parser.SimpleNode
`children, id, parent, value`

Constructor Summary
`ASTFalseNode(int id)`
`ASTFalseNode(Parser p, int id)`

Method Summary
`java.lang.Object` | `jjtAccept(ParserVisitor visitor, java.lang.Object data)` Accept the visitor.

Methods inherited from class org.apache.commons.jexl2.parser.JexlNode
`debugString, getInfo`

Methods inherited from class org.apache.commons.jexl2.parser.SimpleNode
`childrenAccept, dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtGetValue, jjtOpen, jjtSetParent, jjtSetValue, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASTFalseNode

    public ASTFalseNode(int id)

### ASTFalseNode

    public ASTFalseNode(Parser p,
                        int id)

Method Detail

### jjtAccept

    public java.lang.Object jjtAccept(ParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor.

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`
  Parameters:
    `visitor` - the visitor
    `data` - contextual data
  Returns:
    result of visit

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.